Developer Hub
Request Demo
Request Demo
Support
  1. EntityRelations
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
      • Bulk Custom Insights (Entity Rules) Download API
      • Bulk Filters Download API
      • Bulk Findings Download API
      • Get Branding Information
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
      • Bulk Entities Upload API
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
        POST
      • Bulk Entity Relations Upload API
        POST
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. EntityRelations

Bulk Entity Relations Upload API

Deprecated
POST
https://balkanid.app/api/rest/v0/entity-relations/upload-url
Deprecated — use POST /entities-bulk/upload-url to upload entities and entity-relations together as a single zip under one correlation ID.

BalkanID Entity Relations Upload CSV Format#

In this section, we will explain the BalkanID Entity Relations CSV format.

Sample CSV#

AppParent Entity Source ID*Parent Entity Type*Entity Source ID*Entity Type*Source SystemMetadata VersionMetadata
okta00u46wmgwtJKFot20696identity00g4l1fpphwhKeL6C696connectionoktav1{"project":"https://your-org.okta.com","privilegeName":"member","privilegeValue":true,"connectionType":"group"}
okta00u5ixtfqORqYYfE0696identity00g4l1fpphwhKeL6C696connectionoktav1{"project":"https://your-org.okta.com","privilegeName":"member","privilegeValue":true,"connectionType":"group"}
okta00ua2cw60j82uItfr697identity00g4l1fpphwhKeL6C696connectionoktav1{"project":"https://your-org.okta.com","privilegeName":"member","privilegeValue":true,"connectionType":"group"}
okta00ua2lxejvI1NXZYB697identity00g4l1fpphwhKeL6C696connectionoktav1{"project":"https://your-org.okta.com","privilegeName":"member","privilegeValue":true,"connectionType":"group"}
okta00g4l1fpphwhKeL6C696identity00g4ls2o1l9NQ4uEG696connectionoktav1{"project":"https://your-org.okta.com","privilegeName":"member","privilegeValue":true,"connectionType":"group"}
okta00g4l1fpphwhKeL6C696identity00g4l30r7eVUVhS3O696connectionoktav1{"project":"https://your-org.okta.com","privilegeName":"member","privilegeValue":true,"connectionType":"group"}
Columns with * are required always.
Column Definitions#
Column NameColumn Description
AppApplication the Entity is associated with
Parent Entity Source IDRequired - Source ID of the parent entity, must exist in the last synced entities
Parent Entity TypeRequired - Type of the parent entity, types: identity, connection, resource
Entity Source IDRequired - Source ID of the entity, must exist in the last synced entities
Entity TypeRequired - The type of the entity, types: identity, connection, resource
Source SystemRequired - Source System of the entity
Metadata VersionVersion of the metadata, according to the metadata schema
MetadataMetadata for the entity
"Parent Entity Source ID", "Parent Entity Type", "Entity Source ID", "Entity Type" and required columns. If metadata is present, metadata version has to be specified.

Upload the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to upload the CSV in BalkanID Canonical CSV format to the pre-signed URL.
Below is a summary of the request using curl:
The request URL is the pre-signed URL from previous step.
The request method is PUT.
Required request body is the CSV in BalkanID Entity Relations CSV format.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "integrationID": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://balkanid.app/api/rest/v0/entity-relations/upload-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "integrationID": "string"
}'

Responses

🟢200OK
application/json
upload url response
Bodyapplication/json

Example
{
    "url": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entity Relations Download API
Next
Bulk Entity RBAC Download API
Built with